# Genomics API . datasets

## Instance Methods

Creates a new dataset.

Deletes a dataset and all of its contents (all read group sets, reference sets, variant sets, call sets, annotation sets, etc.) This is reversible (up to one week after the deletion) via the UndeleteDataset operation.

Gets a dataset by ID.

Lists datasets within a project.

Retrieves the next page of results.

Updates a dataset. This method supports patch semantics.

Undeletes a dataset by restoring a dataset which was deleted via this API. This operation is only possible for a week after the deletion occurred.

Updates a dataset.

### Method Details

`create(body)`

    Creates a new dataset.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # A Dataset is a collection of genomic data.
      "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
      "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
      "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
      "name": "A String", # The dataset name.
      "id": "A String", # The Google generated ID of the dataset, immutable.
    }

    Returns:
      An object of the form:

        { # A Dataset is a collection of genomic data.
        "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
        "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
        "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
        "name": "A String", # The dataset name.
        "id": "A String", # The Google generated ID of the dataset, immutable.
      }

`delete(datasetId)`

    Deletes a dataset and all of its contents (all read group sets, reference sets, variant sets, call sets, annotation sets, etc.) This is reversible (up to one week after the deletion) via the UndeleteDataset operation.

    Args:
      datasetId: string, The ID of the dataset to be deleted. (required)

`get(datasetId)`

    Gets a dataset by ID.

    Args:
      datasetId: string, The ID of the dataset. (required)

    Returns:
      An object of the form:

        { # A Dataset is a collection of genomic data.
        "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
        "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
        "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
        "name": "A String", # The dataset name.
        "id": "A String", # The Google generated ID of the dataset, immutable.
      }

`list(pageToken=None, projectNumber=None, pageSize=None)`

    Lists datasets within a project.

    Args:
      pageToken: string, The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response.
      projectNumber: string, Required. The project to list datasets for.
      pageSize: integer, The maximum number of results to return in a single page. If unspecified, defaults to 50. The maximum value is 1024.

    Returns:
      An object of the form:

        { # The dataset list response.
        "nextPageToken": "A String", # The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren't any additional results.
        "datasets": [ # The list of matching Datasets.
          { # A Dataset is a collection of genomic data.
            "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
            "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
            "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
            "name": "A String", # The dataset name.
            "id": "A String", # The Google generated ID of the dataset, immutable.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`patch(datasetId, body)`

    Updates a dataset. This method supports patch semantics.

    Args:
      datasetId: string, The ID of the dataset to be updated. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A Dataset is a collection of genomic data.
      "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
      "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
      "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
      "name": "A String", # The dataset name.
      "id": "A String", # The Google generated ID of the dataset, immutable.
    }

    Returns:
      An object of the form:

        { # A Dataset is a collection of genomic data.
        "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
        "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
        "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
        "name": "A String", # The dataset name.
        "id": "A String", # The Google generated ID of the dataset, immutable.
      }

`undelete(datasetId)`

    Undeletes a dataset by restoring a dataset which was deleted via this API. This operation is only possible for a week after the deletion occurred.

    Args:
      datasetId: string, The ID of the dataset to be undeleted. (required)

    Returns:
      An object of the form:

        { # A Dataset is a collection of genomic data.
        "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
        "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
        "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
        "name": "A String", # The dataset name.
        "id": "A String", # The Google generated ID of the dataset, immutable.
      }

`update(datasetId, body)`

    Updates a dataset.

    Args:
      datasetId: string, The ID of the dataset to be updated. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A Dataset is a collection of genomic data.
      "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
      "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
      "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
      "name": "A String", # The dataset name.
      "id": "A String", # The Google generated ID of the dataset, immutable.
    }

    Returns:
      An object of the form:

        { # A Dataset is a collection of genomic data.
        "isPublic": True or False, # Flag indicating whether or not a dataset is publicly viewable. If a dataset is not public, it inherits viewing permissions from its project.
        "projectNumber": "A String", # The Google Developers Console project number that this dataset belongs to.
        "createTime": "A String", # The time this dataset was created, in seconds from the epoch.
        "name": "A String", # The dataset name.
        "id": "A String", # The Google generated ID of the dataset, immutable.
      }